# maven

abstract fun maven(@DelegatesTo(value = MavenArtifactRepository::class) closure: Closure): MavenArtifactRepository

Adds and configures a Maven repository. Newly created instance of `MavenArtifactRepository` is passed as an argument to the closure.

#### Return

The added repository.

#### Parameters

closure

The closure to use to configure the repository.

abstract fun maven(action: Action<in MavenArtifactRepository>): MavenArtifactRepository

Adds and configures a Maven repository.

#### Return

The added repository.

#### Parameters

action

The action to use to configure the repository.